CurrentClass
Description: declaration: package: org.apache.maven.tools.plugin.extractor.annotations.converter.test, class: CurrentClass

Package org.apache.maven.tools.plugin.extractor.annotations.converter.test

# Class CurrentClass

java.lang.Object
org.apache.maven.tools.plugin.extractor.annotations.converter.test.SuperClass
org.apache.maven.tools.plugin.extractor.annotations.converter.test.CurrentClass

public class CurrentClass extends SuperClass

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `field1`

  ### Fields inherited from class org.apache.maven.tools.plugin.extractor.annotations.converter.test.SuperClass

  `superField1`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CurrentClass()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `arrayParamMethod(int[] intValues, String[][][] multiDimensionalStringValues)`
  `void`
  `complexParamMethod(int intValue, OtherClassOtherPackage.EmbeddedEnum enumValue)`
  `void`
  `genericsParamMethod(Collection<Collection<String>> myCollection, BiConsumer<String,Integer> function)`
  `void`
  `noParamMethod()`
  `void`
  `simpleParamMethod(Integer intValue)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### field1

    public String field1

- ## Constructor Details

  - ### CurrentClass

    public CurrentClass()

- ## Method Details

  - ### noParamMethod

    public void noParamMethod()

  - ### simpleParamMethod

    public void simpleParamMethod(Integer intValue)

  - ### complexParamMethod

    public void complexParamMethod(int intValue, OtherClassOtherPackage.EmbeddedEnum enumValue)
    Parameters:
      `intValue` -
      `enumValue` -

  - ### arrayParamMethod

    public void arrayParamMethod(int[] intValues, String[][][] multiDimensionalStringValues)
    Parameters:
      `intValues` -
      `multiDimensionalStringValues` -

  - ### genericsParamMethod

    public void genericsParamMethod(Collection<Collection<String>> myCollection, BiConsumer<String,Integer> function)